		$('.bumen-choice').attr('readonly',true);
			$.ajax({
				url:bumen_choice,
				type:"get",
				data:{},
				dataType:"json",
				success:function(r){
					$(".bumen-choice").each(function(){
						var name = $(this).attr('name');
						$(this).attr('name','');
						var html = '<input type="hidden" name="'+name+'" value="" class="hidden-id">'+
					        '<div class="bumens-choice choice" style="">'+
					        	
					        	'<div class="layui-row">'+
									'<table class="">'+
										r+
									'</table>'+
					        	'</div>'+
						    '</div>';
					    $(this).parent().append(html);
					});
					
					
				},
				error:function(){
					layer.msg('网络错误！',{anim: 6});//错误提示
				}
			});
  $(document).ready(function(){
  	$('body').on('click','.bumens-choice table tr',function(e){
		var id = $(this).data('value');
		var name = $(this).data('name');
		$(this).parents('div.bumens-choice').prev('input[type=hidden]').val(id).prev('input[type=text]').val(name);
		$(this).parents('div.bumens-choice').hide();
		
		e.stopPropagation();
	});

    
    
    $('body').on('click','.bumens-choice',function(e){
      e.stopPropagation();
    });

	$('.bumen-choice').click(function(e) {
		var obj = $(this).next('input[type=hidden]').next('.bumens-choice');
		$('.choice').hide();
		var is_more_open = obj.css('display');
		if (is_more_open == 'none') {
			obj.show();
		}else{
			obj.hide();
		}
		e.stopPropagation();
    })
	$(document).click(function(){ 
      var obj = $('.choice');
      obj.hide();
    }) 
  })